2

I am working on Sitecore 10 content serialization and I am using Sitecore for Visual Studio. I am following this document:

https://doc.sitecore.com/en/developers/101/developer-tools/install-sitecore-for-visual-studio.html

Below steps I have done:

  1. Install Sitecore Management Services.
  2. Downloaded Sitecore for Visual Studio 1.0.0.4

When I am trying to run Visual Studio installer SVS.VSIX.vsix, it is throwing the below error:

enter image description here

Log

13-07-2021 09:44:58 - Signature Details...
13-07-2021 09:44:58 -   Extension is signed with a valid signature.
13-07-2021 09:44:58 - 
13-07-2021 09:44:58 - Searching for applicable products...
13-07-2021 09:44:58 - Found installed product - Global Location
13-07-2021 09:44:58 - Found installed product - Visual Studio Professional 2017
13-07-2021 09:44:58 - VSIXInstaller.NoApplicableSKUsException: This extension is not installable on any currently installed products.
 at VSIXInstaller.ExtensionService.GetInstallableDataImpl(IInstallableExtension extension, String extensionPackParentName, Boolean isRepairSupported, IStateData stateData, IEnumerable`1& skuData)
 at VSIXInstaller.ExtensionService.GetInstallableData(String vsixPath, String extensionPackParentName, Boolean isRepairSupported, IStateData stateData, IEnumerable`1& skuData)
 at VSIXInstaller.ExtensionPackService.IsExtensionPack(IStateData stateData, Boolean isRepairSupported)
 at VSIXInstaller.ExtensionPackService.ExpandExtensionPackToInstall(IStateData stateData, Boolean isRepairSupported)
 at VSIXInstaller.App.Initialize(Boolean isRepairSupported)
 at VSIXInstaller.App.Initialize()
 at System.Threading.Tasks.Task`1.InnerInvoke()
 at System.Threading.Tasks.Task.Execute()
--- End of stack trace from previous location where exception was thrown ---
 at Microsoft.VisualStudio.Telemetry.WindowsErrorReporting.WatsonReport.GetClrWatsonExceptionInfo(Exception exceptionObject)

I am using Visual Studio 2017

1 Answer 1

7

While I can't find this listed anywhere in the documentation, Visual Studio 2017 is not supported for this Visual Studio Plugin.

If you rename the downloaded VSIX file to .zip and open it, inside you will find the extension.manifest file. This is an XML file that describes what the plugin will install to.

  <Prerequisites>
    <Prerequisite Id="Microsoft.VisualStudio.Component.CoreEditor" Version="[16.0,17.0)" DisplayName="Visual Studio core editor" />
  </Prerequisites>

As seen here, it supports Visual Studio release 16 and 17. Your version - Visual Studio 2017 - is release 15.

You need to get on Visual Studio 2019 or higher to use this plugin.

You could try and edit this manifest to allow it to install on your version of Visual Studio. Needless to say this would be unsupported territory and I have no idea if it will work or not.

4
  • Thanks, Mark for your input but it is not working Commented Jul 13, 2021 at 13:12
  • What is not working?
    – Mark Cassidy
    Commented Jul 13, 2021 at 13:18
  • I tried to update Microsoft.VisualStudio.Component.CoreEditor version instead of upgrade Visual Studio 2017 to 2019 Commented Jul 13, 2021 at 13:29
  • 1
    Yea. Well that detail is important. You will need to upgrade VS - as also stated in the answer. There is no other "input" to be had.
    – Mark Cassidy
    Commented Jul 13, 2021 at 13:32

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.